import cli from "cli-ux";
import { isNullOrUndefined } from "util";
export class ProgressBar {
    create(title, unit, currentLogLevel, displayTillLogLevel, isJSONOutputEnabled) {
        if (currentLogLevel <= displayTillLogLevel && !isJSONOutputEnabled) {
            this.progressBarImpl = cli.progress({
                format: `${title} - PROGRESS  | {bar} | {value}/{total} ${unit}`,
                barCompleteChar: "\u2588",
                barIncompleteChar: "\u2591",
                linewrap: true
            });
        }
        return this;
    }
    start(totalSize) {
        if (!isNullOrUndefined(this.progressBarImpl))
            this.progressBarImpl.start(totalSize);
    }
    stop() {
        if (!isNullOrUndefined(this.progressBarImpl))
            this.progressBarImpl.stop();
    }
    increment() {
        if (!isNullOrUndefined(this.progressBarImpl))
            this.progressBarImpl.increment();
    }
}
//# sourceMappingURL=progressBar.js.map